Debian Bug report logs - #684039
ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Erik Sjölund <erik.sjolund@gmail.com>

Date: Mon, 6 Aug 2012 12:51:02 UTC

Owned by: Erik Sj\xF6lund <erik.sjolund@gmail.com>

Severity: wishlist

Fixed in version prime-phylo/1.0.11-1

Done: Erik Sjolund <erik.sjolund@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#684039; Package wnpp. (Mon, 06 Aug 2012 12:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Mon, 06 Aug 2012 12:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: submit@bugs.debian.org
Subject: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Mon, 6 Aug 2012 14:49:53 +0200
Package: wnpp
Severity: wishlist
Owner: Erik Sjölund <erik.sjolund@gmail.com>

* Package name  : prime-phylo
  Version             : 1.0.3
  Upstream Author : Lars Arvestad<arve@csc.kth.se>, Bengt
Sennblad<bengt.sennblad@ki.se> and others
* URL             : http://prime.sbc.su.se
* License         : GPL-3
  Programming Lang: C++
  Description: Bayesian estimation of gene trees taking the species
tree into account

PrIME (Probabilistic Integrated Models of Evolution) is a package
supporting inference of evolutionary parameters in a Bayesian framework
using MCMC. A distinguishing feature of PrIME is that the species tree is
taken into account when analyzing gene trees.



Added blocking bug(s) of 684039: 694632 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 16:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Thu, 29 Nov 2012 08:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Thu, 29 Nov 2012 08:33:05 GMT) Full text and rfc822 format available.

Message #12 received at 684039@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Erik Sjölund <erik.sjolund@gmail.com>, 684039@bugs.debian.org, 694632@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Thu, 29 Nov 2012 09:31:45 +0100
Hi Erik,

it seems I missed your ITP - otherwise I would have most probably pinged
you whether you intent to do the packaging inside the Debian Med team.  We
try to inject medical and microbiological software into Debian and your
ITP seems to fit perfectly into our biology task[1].

So I would suggest you join the Debian Med team (I checked whether you
just have an account on alioth.debian.org but failed in searching for
your name - otherwise I would have added you to the team right now).  All
steps are described in our team policy[2].

Meanwhile I might check your packaging you provided at mentors however,
I would strongly recommend (you might need require) that you choose at
your preference either our SVN or Git repository (see [2]) for your
packaging work to enable effective team maintenance.  For instance I
would turn your citation of the scientific paper into a debian/upstream
reference which is way more flexible than simply putting it into the
long description (which is deprecated).

I hope you like this idea and we would be very happy to welcome you in
our team.

Kind regards

      Andreas.

[1] http://debian-med.alioth.debian.org/tasks/bio
[2] http://debian-med.alioth.debian.org/docs/policy.html
 
> Package: wnpp
> Severity: wishlist
> Owner: Erik Sjölund <erik.sjolund@gmail.com>
> 
> * Package name  : prime-phylo
>   Version             : 1.0.3
>   Upstream Author : Lars Arvestad<arve@csc.kth.se>, Bengt
> Sennblad<bengt.sennblad@ki.se> and others
> * URL             : http://prime.sbc.su.se
> * License         : GPL-3
>   Programming Lang: C++
>   Description: Bayesian estimation of gene trees taking the species
> tree into account
> 
> PrIME (Probabilistic Integrated Models of Evolution) is a package
> supporting inference of evolutionary parameters in a Bayesian framework
> using MCMC. A distinguishing feature of PrIME is that the species tree is
> taken into account when analyzing gene trees.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Thu, 06 Dec 2012 15:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Thu, 06 Dec 2012 15:21:06 GMT) Full text and rfc822 format available.

Message #17 received at 684039@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Erik Sjölund <erik.sjolund@gmail.com>, 684039@bugs.debian.org, 694632@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Thu, 6 Dec 2012 16:16:29 +0100
Hi Erik,

could you please confirm that you are interested in finding a sponsor
for your work?  As I said the Debian Med team is really interested.  In
case you have some time constraints or whatever I'd volunteer to commit
your work to our Vcs (please specify whether you prefer Git or SVN) and
will check whether it is ready for upload.

Kind regards and thanks so far for your work

       Andreas.

On Thu, Nov 29, 2012 at 09:31:45AM +0100, Andreas Tille wrote:
> Hi Erik,
> 
> it seems I missed your ITP - otherwise I would have most probably pinged
> you whether you intent to do the packaging inside the Debian Med team.  We
> try to inject medical and microbiological software into Debian and your
> ITP seems to fit perfectly into our biology task[1].
> 
> So I would suggest you join the Debian Med team (I checked whether you
> just have an account on alioth.debian.org but failed in searching for
> your name - otherwise I would have added you to the team right now).  All
> steps are described in our team policy[2].
> 
> Meanwhile I might check your packaging you provided at mentors however,
> I would strongly recommend (you might need require) that you choose at
> your preference either our SVN or Git repository (see [2]) for your
> packaging work to enable effective team maintenance.  For instance I
> would turn your citation of the scientific paper into a debian/upstream
> reference which is way more flexible than simply putting it into the
> long description (which is deprecated).
> 
> I hope you like this idea and we would be very happy to welcome you in
> our team.
> 
> Kind regards
> 
>       Andreas.
> 
> [1] http://debian-med.alioth.debian.org/tasks/bio
> [2] http://debian-med.alioth.debian.org/docs/policy.html
>  
> > Package: wnpp
> > Severity: wishlist
> > Owner: Erik Sjölund <erik.sjolund@gmail.com>
> > 
> > * Package name  : prime-phylo
> >   Version             : 1.0.3
> >   Upstream Author : Lars Arvestad<arve@csc.kth.se>, Bengt
> > Sennblad<bengt.sennblad@ki.se> and others
> > * URL             : http://prime.sbc.su.se
> > * License         : GPL-3
> >   Programming Lang: C++
> >   Description: Bayesian estimation of gene trees taking the species
> > tree into account
> > 
> > PrIME (Probabilistic Integrated Models of Evolution) is a package
> > supporting inference of evolutionary parameters in a Bayesian framework
> > using MCMC. A distinguishing feature of PrIME is that the species tree is
> > taken into account when analyzing gene trees.
> 
> -- 
> http://fam-tille.de
> 
> 
> -- 
> To UNSUBSCRIBE, email to debian-med-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
> Archive: http://lists.debian.org/20121129083145.GD4683@an3as.eu
> 
> 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Thu, 06 Dec 2012 15:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Thu, 06 Dec 2012 15:36:03 GMT) Full text and rfc822 format available.

Message #22 received at 684039@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: Andreas Tille <andreas@an3as.eu>, 684039@bugs.debian.org
Subject: Re: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Thu, 6 Dec 2012 16:33:30 +0100
Hi Andreas,
Sorry for the late answer. I think it is a great idea to do the
packaging inside the Debian Med team. I will create an account at
alioth.debian.org during the next days.
Cheers,
Erik

On Thu, Dec 6, 2012 at 4:16 PM, Andreas Tille <andreas@an3as.eu> wrote:
> Hi Erik,
>
> could you please confirm that you are interested in finding a sponsor
> for your work?  As I said the Debian Med team is really interested.  In
> case you have some time constraints or whatever I'd volunteer to commit
> your work to our Vcs (please specify whether you prefer Git or SVN) and
> will check whether it is ready for upload.
>
> Kind regards and thanks so far for your work
>
>        Andreas.
>
> On Thu, Nov 29, 2012 at 09:31:45AM +0100, Andreas Tille wrote:
>> Hi Erik,
>>
>> it seems I missed your ITP - otherwise I would have most probably pinged
>> you whether you intent to do the packaging inside the Debian Med team.  We
>> try to inject medical and microbiological software into Debian and your
>> ITP seems to fit perfectly into our biology task[1].
>>
>> So I would suggest you join the Debian Med team (I checked whether you
>> just have an account on alioth.debian.org but failed in searching for
>> your name - otherwise I would have added you to the team right now).  All
>> steps are described in our team policy[2].
>>
>> Meanwhile I might check your packaging you provided at mentors however,
>> I would strongly recommend (you might need require) that you choose at
>> your preference either our SVN or Git repository (see [2]) for your
>> packaging work to enable effective team maintenance.  For instance I
>> would turn your citation of the scientific paper into a debian/upstream
>> reference which is way more flexible than simply putting it into the
>> long description (which is deprecated).
>>
>> I hope you like this idea and we would be very happy to welcome you in
>> our team.
>>
>> Kind regards
>>
>>       Andreas.
>>
>> [1] http://debian-med.alioth.debian.org/tasks/bio
>> [2] http://debian-med.alioth.debian.org/docs/policy.html
>>
>> > Package: wnpp
>> > Severity: wishlist
>> > Owner: Erik Sjölund <erik.sjolund@gmail.com>
>> >
>> > * Package name  : prime-phylo
>> >   Version             : 1.0.3
>> >   Upstream Author : Lars Arvestad<arve@csc.kth.se>, Bengt
>> > Sennblad<bengt.sennblad@ki.se> and others
>> > * URL             : http://prime.sbc.su.se
>> > * License         : GPL-3
>> >   Programming Lang: C++
>> >   Description: Bayesian estimation of gene trees taking the species
>> > tree into account
>> >
>> > PrIME (Probabilistic Integrated Models of Evolution) is a package
>> > supporting inference of evolutionary parameters in a Bayesian framework
>> > using MCMC. A distinguishing feature of PrIME is that the species tree is
>> > taken into account when analyzing gene trees.
>>
>> --
>> http://fam-tille.de
>>
>>
>> --
>> To UNSUBSCRIBE, email to debian-med-REQUEST@lists.debian.org
>> with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
>> Archive: http://lists.debian.org/20121129083145.GD4683@an3as.eu
>>
>>
>
> --
> http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Tue, 11 Dec 2012 14:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Tue, 11 Dec 2012 14:39:04 GMT) Full text and rfc822 format available.

Message #27 received at 684039@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: Andreas Tille <andreas@an3as.eu>, 684039@bugs.debian.org
Cc: 694632@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Tue, 11 Dec 2012 15:37:28 +0100
Hi Andreas,
I've now created the account eriksjolund-guest at alioth.debian.org

I would prefer to use git for the repository.
If I understand you correctly, the next step will be that you now
upload the debian packaging sub directory from prime-phylo into the
Vcs? If you have any suggestions regarding the packaging you are most
welcome to perform changes in the packaging code.

cheers,
Erik


On Thu, Dec 6, 2012 at 4:16 PM, Andreas Tille <andreas@an3as.eu> wrote:
> Hi Erik,
>
> could you please confirm that you are interested in finding a sponsor
> for your work?  As I said the Debian Med team is really interested.  In
> case you have some time constraints or whatever I'd volunteer to commit
> your work to our Vcs (please specify whether you prefer Git or SVN) and
> will check whether it is ready for upload.
>
> Kind regards and thanks so far for your work
>
>        Andreas.
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Tue, 11 Dec 2012 22:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Tue, 11 Dec 2012 22:12:03 GMT) Full text and rfc822 format available.

Message #32 received at 684039@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 684039@bugs.debian.org, 694632@bugs.debian.org
Subject: Re: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Tue, 11 Dec 2012 23:08:16 +0100
Hi Erik,

On Tue, Dec 11, 2012 at 03:37:28PM +0100, Erik Sjölund wrote:
> Hi Andreas,
> I've now created the account eriksjolund-guest at alioth.debian.org

Fine I've just added you to the Debian Med team.

> I would prefer to use git for the repository.

OK.

> If I understand you correctly, the next step will be that you now
> upload the debian packaging sub directory from prime-phylo into the
> Vcs? If you have any suggestions regarding the packaging you are most
> welcome to perform changes in the packaging code.

I'd prefer if you would try to follow

   http://debian-med.alioth.debian.org/docs/policy.html

to create the Git repository yourself and once you did so I would have a
look.  For sure I could do this as well but I'd regard this as a
reasonable exercise for you to become comfortable with the Debian Med
team work.  For sure you will get all our support if something might not
work as smooth as expected.  For the very beginning to test you ssh
login make sure you read the "ssh tips" paragraph specifically the link
to the Debian wiki in the end of the paragraph.

Just let us know in case of any trouble.

Kind regards

       Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Mon, 17 Dec 2012 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Mon, 17 Dec 2012 10:09:03 GMT) Full text and rfc822 format available.

Message #37 received at 684039@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: Andreas Tille <andreas@an3as.eu>, 694632@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>, 684039@bugs.debian.org
Subject: Re: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Mon, 17 Dec 2012 11:06:28 +0100
I have now created:

http://anonscm.debian.org/gitweb/?p=debian-med/prime-phylo.git

In the debian sub directory I also created the file

upstream

where I provided information about the scientific paper
"Simultaneous Bayesian gene tree reconstruction and reconciliation analysis"

I used utf-8 encoding to be able to write the name Åkerborg, Ö.
Maybe utf-8 is not allowed for debian/upstream?

cheers,
Erik



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Mon, 17 Dec 2012 11:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@fam-tille.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Mon, 17 Dec 2012 11:03:11 GMT) Full text and rfc822 format available.

Message #42 received at 684039@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@fam-tille.de>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 694632@bugs.debian.org, 684039@bugs.debian.org
Subject: Re: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Mon, 17 Dec 2012 12:01:06 +0100
Hi Erik,

thanks for your work on prime-phylo.

On Mon, Dec 17, 2012 at 11:06:28AM +0100, Erik Sjölund wrote:
> I have now created:
> 
> http://anonscm.debian.org/gitweb/?p=debian-med/prime-phylo.git

Looks good so far with one exception I've found:  Please check the copyright
by using

$ cme fix dpkg-copyright
Fixing from Dpkg::Copyright...
Configuration item 'Files:"src/cxx/libraries/prime/beep2blas.hh" License short_name' has a wrong value:
        value 'Software License for MTL' does not match grammar:
...


The syntax is not really DEP5 conformant.  I would have changed this
simply to "License: MTL" but when I checked the License paragraph I
detected some additional copyright statements which is somehow
confusing.  Does this mean the license is also copyrighted and has
some authors?  Could you please clarify this a bit?

Besides this I'd regard the package ready for upload and I'd go for
this once debian/copyright is passing cme.

> In the debian sub directory I also created the file
> 
> upstream
> 
> where I provided information about the scientific paper
> "Simultaneous Bayesian gene tree reconstruction and reconciliation analysis"
> 
> I used utf-8 encoding to be able to write the name Åkerborg, Ö.
> Maybe utf-8 is not allowed for debian/upstream?

debian/upstream file should be UTF-8 - so all is fine here.

Kind regards

       Andreas. 

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Mon, 17 Dec 2012 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Mon, 17 Dec 2012 13:39:03 GMT) Full text and rfc822 format available.

Message #47 received at 684039@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: Andreas Tille <andreas@fam-tille.de>, 694632@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>, 684039@bugs.debian.org
Subject: Re: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Mon, 17 Dec 2012 14:37:30 +0100
I followed your suggestion and changed the license short name to "MTL".

Regarding the file

src/cxx/libraries/prime/beep2blas.hh

when I started packaging Prime I tried to investigate where the file
content came from.
In the file the following text could be read:

  /*--------------------------------------------------------
    Basic Linear Algebra Subprograms for C/C++
    Version 1.0
    Matthew E. Gaston
    May 6, 1998
    ----------------------------------------------------------*/

I searched google for that text and saw that the file had its origin
from the file

$ wget --quiet http://osl.iu.edu/download/research/mtl/mtl-2.1.2-22.tar.gz
$ tar tvfz mtl-2.1.2-22.tar.gz | grep mtl/blas_interface.h
-rw-r--r-- pgottsch/research   3534 2005-07-05 17:11
mtl-2.1.2-22/mtl/blas_interface.h

I added the license text from the file

$ tar tvfz mtl-2.1.2-22.tar.gz | grep -i license
-rw-r--r-- pgottsch/research 3096 2005-06-02 19:01 mtl-2.1.2-22/license.mtl.txt

to the files

debian/copyright
src/cxx/libraries/prime/beep2blas.hh


Maybe I shouldn't have copied the license text?
cheers,
Erik



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Mon, 17 Dec 2012 14:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Mon, 17 Dec 2012 14:06:03 GMT) Full text and rfc822 format available.

Message #52 received at 684039@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 694632@bugs.debian.org, 684039@bugs.debian.org
Subject: Re: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Mon, 17 Dec 2012 15:01:54 +0100
Hi Erik,

On Mon, Dec 17, 2012 at 02:37:30PM +0100, Erik Sjölund wrote:
> I followed your suggestion and changed the license short name to "MTL".

OK.
 
> Regarding the file
> 
> src/cxx/libraries/prime/beep2blas.hh
> 
> when I started packaging Prime I tried to investigate where the file
> content came from.
> In the file the following text could be read:
> 
>   /*--------------------------------------------------------
>     Basic Linear Algebra Subprograms for C/C++
>     Version 1.0
>     Matthew E. Gaston
>     May 6, 1998
>     ----------------------------------------------------------*/
> 
> I searched google for that text and saw that the file had its origin
> from the file
> 
> $ wget --quiet http://osl.iu.edu/download/research/mtl/mtl-2.1.2-22.tar.gz
> $ tar tvfz mtl-2.1.2-22.tar.gz | grep mtl/blas_interface.h
> -rw-r--r-- pgottsch/research   3534 2005-07-05 17:11
> mtl-2.1.2-22/mtl/blas_interface.h
> 
> I added the license text from the file
> 
> $ tar tvfz mtl-2.1.2-22.tar.gz | grep -i license
> -rw-r--r-- pgottsch/research 3096 2005-06-02 19:01 mtl-2.1.2-22/license.mtl.txt
> 
> to the files
> 
> debian/copyright
> src/cxx/libraries/prime/beep2blas.hh
> 
> 
> Maybe I shouldn't have copied the license text?

Copying the license text is correct.  However, your debian/copyright says:

Files: src/cxx/libraries/prime/beep2blas.hh
Copyright: 2002 - 2007 The Maxtrix Template Library authors
           2007 - 2012 Bengt Sennblad<bengt.sennblad@ki.se>
License: MTL

...


License: MTL
 Copyright (c) 2001-2005 The Trustees of Indiana University. All rights reserved.
 Copyright (c) 1998-2001 University of Notre Dame. All rights reserved.
 Authors: Andrew Lumsdaine, Jeremy G. Siek, Lie-Quan Lee
 .
 This file is part of the Matrix Template Library
 .


According to DEP5 the Copyright field should be attached to the Files and here
you give some additional and even conflicting information as free text in the
license paragraph.  The relation between

   "The Maxtrix Template Library authors"  and
   "Bengt Sennblad<bengt.sennblad@ki.se>"  and 
   "The Trustees of Indiana University"    and
   "University of Notre Dame"              as well as
   "Andrew Lumsdaine, Jeremy G. Siek, Lie-Quan Lee"

remains unclear.  My reading of the copyright would be:

Files: src/cxx/libraries/prime/beep2blas.hh
Copyright: 2001-2005 The Trustees of Indiana University. All rights reserved.
           1998-2001 University of Notre Dame. All rights reserved
                     Andrew Lumsdaine, Jeremy G. Siek, Lie-Quan Lee
           2007-2012 Bengt Sennblad <bengt.sennblad@ki.se>
License: MTL

which specifies former authors and the later changes done by Bengt Sennblad.

The specification of the "License: MTL" paragraph should come without the
extra Copyright information in the beginning - all else is fine.

Kind regards

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Mon, 17 Dec 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Mon, 17 Dec 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #57 received at 684039@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: Andreas Tille <andreas@an3as.eu>, 684039@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>, 694632@bugs.debian.org
Subject: Re: Bug#684039: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Mon, 17 Dec 2012 17:24:00 +0100
I made a new upstream release

http://prime.sbc.su.se/download/prime-phylo-1.0.11.tar.gz

where I added the extra copyright statement

// Copyright: Modifications to the original file by Bengt Sennblad
<bengt.sennblad@ki.se> 2007-2012

to the file

src/cxx/libraries/prime/beep2blas.hh

I also modified the debian git

http://anonscm.debian.org/gitweb/?p=debian-med/prime-phylo.git;a=commitdiff;h=9785baea0e5efe3f80f1970183e3ec109bb40e51

as you suggested.

How do I upload the new source code release into git.debian.org?

Maybe I will figure it out by myself ...

cheers,
Erik



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Mon, 17 Dec 2012 16:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Mon, 17 Dec 2012 16:30:04 GMT) Full text and rfc822 format available.

Message #62 received at 684039@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Debian Med Project List <debian-med@lists.debian.org>
Cc: 684039@bugs.debian.org, 694632@bugs.debian.org
Subject: Re: Bug#684039: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Mon, 17 Dec 2012 17:26:08 +0100
On Mon, Dec 17, 2012 at 05:24:00PM +0100, Erik Sjölund wrote:
> I made a new upstream release
> 
> http://prime.sbc.su.se/download/prime-phylo-1.0.11.tar.gz
> 
> where I added the extra copyright statement
> 
> // Copyright: Modifications to the original file by Bengt Sennblad
> <bengt.sennblad@ki.se> 2007-2012
> 
> to the file
> 
> src/cxx/libraries/prime/beep2blas.hh
> 
> I also modified the debian git
> 
> http://anonscm.debian.org/gitweb/?p=debian-med/prime-phylo.git;a=commitdiff;h=9785baea0e5efe3f80f1970183e3ec109bb40e51
> 
> as you suggested.

OK.
 
> How do I upload the new source code release into git.debian.org?
> 
> Maybe I will figure it out by myself ...

   http://debian-med.alioth.debian.org/docs/policy.html

Seek for pristine-tar.

Kind regards

      Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Tue, 18 Dec 2012 09:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Tue, 18 Dec 2012 09:09:06 GMT) Full text and rfc822 format available.

Message #67 received at 684039@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: Andreas Tille <andreas@an3as.eu>, 694632@bugs.debian.org
Cc: Debian Med Project List <debian-med@lists.debian.org>, 684039@bugs.debian.org
Subject: Re: Bug#694632: Bug#684039: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Tue, 18 Dec 2012 10:06:15 +0100
I think the documentation

http://debian-med.alioth.debian.org/docs/policy.html

 was not so clear about how to handle a new upstream release. Anyway
when I also found

http://wiki.debian.org/Games/VCS/git#Adding_a_new_upstream_release

I came to the conclusion that I needed to run

"git import-orig --pristine-tar"

again.

erik@linux:~$ wget --quiet
http://prime.sbc.su.se/download/prime-phylo-1.0.11.tar.gz
erik@linux:~$ cd prime-phylo
erik@linux:~/prime-phylo$ git branch
* master
  pristine-tar
  upstream
erik@linux:~/prime-phylo$ git import-orig --pristine-tar
../prime-phylo-1.0.11.tar.gz
What is the upstream version? [1.0.11]
gbp:info: Importing '../prime-phylo-1.0.11.tar.gz' to branch 'upstream'...
gbp:info: Source package is prime-phylo
gbp:info: Upstream version is 1.0.11
pristine-tar: committed prime-phylo_1.0.11.orig.tar.gz.delta to branch
pristine-tar
gbp:info: Merging to 'master'
Merge made by the 'recursive' strategy.
gbp:info: Successfully imported version 1.0.11 of ../prime-phylo-1.0.11.tar.gz

erik@linux:~/prime-phylo$ git push --all
Enter passphrase for key '/home/erik/.ssh/id_rsa':
Counting objects: 25, done.
Delta compression using up to 6 threads.
Compressing objects: 100% (14/14), done.
Writing objects: 100% (15/15), 19.70 KiB, done.
Total 15 (delta 7), reused 0 (delta 0)
To git+ssh://git.debian.org/git/debian-med/prime-phylo.git
   9785bae..1f18d28  master -> master
   3e85ea5..8183c10  pristine-tar -> pristine-tar
   d895eb7..0ad54f6  upstream -> upstream
erik@linux:~/prime-phylo$ git push --tags
Enter passphrase for key '/home/erik/.ssh/id_rsa':
Counting objects: 1, done.
Writing objects: 100% (1/1), 184 bytes, done.
Total 1 (delta 0), reused 0 (delta 0)

cheers,
Erik


On Mon, Dec 17, 2012 at 5:26 PM, Andreas Tille <andreas@an3as.eu> wrote:
> On Mon, Dec 17, 2012 at 05:24:00PM +0100, Erik Sjölund wrote:
>> How do I upload the new source code release into git.debian.org?
>    http://debian-med.alioth.debian.org/docs/policy.html
>
> Seek for pristine-tar.
>



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Tue, 18 Dec 2012 13:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Tue, 18 Dec 2012 13:33:03 GMT) Full text and rfc822 format available.

Message #72 received at 684039@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Erik Sjölund <erik.sjolund@gmail.com>
Cc: 694632@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>, 684039@bugs.debian.org
Subject: Re: Bug#694632: Bug#684039: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Tue, 18 Dec 2012 14:30:53 +0100
Hi Erik,

On Tue, Dec 18, 2012 at 10:06:15AM +0100, Erik Sjölund wrote:
> I think the documentation
> 
> http://debian-med.alioth.debian.org/docs/policy.html
> 
>  was not so clear about how to handle a new upstream release. Anyway
> when I also found
> 
> http://wiki.debian.org/Games/VCS/git#Adding_a_new_upstream_release
> 
> I came to the conclusion that I needed to run
> 
> "git import-orig --pristine-tar"
> 
> again.

Yes, in dead.  We would be happy about any patch to the Debian Med
policy that might5 make this more clear.  Sometimes it is hard to
describe things which are clear to the people who are comfortable with
the procedure to describe it for newcomers - so any hint is welcome.
 
> ...
> erik@linux:~/prime-phylo$ git push --tags
> Enter passphrase for key '/home/erik/.ssh/id_rsa':
> Counting objects: 1, done.
> Writing objects: 100% (1/1), 184 bytes, done.
> Total 1 (delta 0), reused 0 (delta 0)

This worked for me.  So the package is in principle ready for uploading
with the one minor exception that the ITP bug is closed in some previous
version and not the latest to be uploaded one.  If you ask me I would
simply strip the changelog to


prime-phylo (1.0.11-1) unstable; urgency=low

 * Initial release (Closes: #684039)

 -- Erik Sjolund <erik.sjolund@gmail.com>  Mon, 17 Dec 2012 14:11:13 +0100


by simply droping the detailed pre-Debian upload history which is not
relevant for the *debian/*changelog.  Usually ftpmasters are a bit
disturbed about longish and for them uninteresting history and finally
we do have the data inside Git repository anyway.  In case you insist
in keeping the longish changelog (which would be fine for me if you
might have your personal preference) I would move the Closes statement
just up to the latest changelog entry.  However, in this case we should
change the target distribution from "unstable" to "UNRELEASED" to make
pretty clear that these versions never have hit the Debian mirrors.

Please either change it in the way of your choice or tell me what you
prefer and I'll do the change and upload.

Thanks for preparing the package

        Andreas.

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Tue, 18 Dec 2012 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Tue, 18 Dec 2012 15:21:03 GMT) Full text and rfc822 format available.

Message #77 received at 684039@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: Andreas Tille <andreas@an3as.eu>, 684039@bugs.debian.org
Cc: 694632@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#684039: Bug#694632: Bug#684039: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Tue, 18 Dec 2012 16:18:26 +0100
On Tue, Dec 18, 2012 at 2:30 PM, Andreas Tille <andreas@an3as.eu> wrote:
> Sometimes it is hard to
> describe things which are clear to the people who are comfortable with
> the procedure to describe it for newcomers - so any hint is welcome.

I understand. I'll think about it...

>
> If you ask me I would
> simply strip the changelog to
>
>
> prime-phylo (1.0.11-1) unstable; urgency=low
>
>  * Initial release (Closes: #684039)
>
>  -- Erik Sjolund <erik.sjolund@gmail.com>  Mon, 17 Dec 2012 14:11:13 +0100
>
>

I followed your suggestion (i.e. stripping the changelog).
cheers,
Erik



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Tue, 18 Dec 2012 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Tue, 18 Dec 2012 15:57:03 GMT) Full text and rfc822 format available.

Message #82 received at 684039@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Erik Sjölund <erik.sjolund@gmail.com>
Cc: 684039@bugs.debian.org, 694632@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Tue, 18 Dec 2012 16:53:14 +0100
Hi Erik

On Tue, Dec 18, 2012 at 04:18:26PM +0100, Erik Sjölund wrote:
> On Tue, Dec 18, 2012 at 2:30 PM, Andreas Tille <andreas@an3as.eu> wrote:
> > Sometimes it is hard to
> > describe things which are clear to the people who are comfortable with
> > the procedure to describe it for newcomers - so any hint is welcome.
> 
> I understand. I'll think about it...

This would be great.
 
> > prime-phylo (1.0.11-1) unstable; urgency=low
> >
> >  * Initial release (Closes: #684039)
> >
> >  -- Erik Sjolund <erik.sjolund@gmail.com>  Mon, 17 Dec 2012 14:11:13 +0100
> >
> >
> 
> I followed your suggestion (i.e. stripping the changelog).

Thanks and uploaded.

BTW, in the Debian Med team we did not formalised the sponsering process
via filing RFS bugs (for no specific reason - it just worked without
this.)  I'm just not comfortable with the procedure and do not know
where and when to close this RFS bug.  If it should have been done in
the changelog as well I just missed this.  If its done by the sponsee
please do so - if the sponsor is expected to close it just tell me to do
so.

Kind regards and thanks for your work on the package

     Andreas.

PS: Please let us know whether you are subscribed to the list - I would
    stop CCing you in this case (and you can definitely remove me from CCs
    and rather use list-reply.)

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>:
Bug#684039; Package wnpp. (Tue, 18 Dec 2012 16:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Erik Sjölund <erik.sjolund@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Erik Sj\xF6lund <erik.sjolund@gmail.com>. (Tue, 18 Dec 2012 16:21:03 GMT) Full text and rfc822 format available.

Message #87 received at 684039@bugs.debian.org (full text, mbox):

From: Erik Sjölund <erik.sjolund@gmail.com>
To: 684039@bugs.debian.org
Cc: 694632@bugs.debian.org, Debian Med Project List <debian-med@lists.debian.org>
Subject: Re: Bug#684039: Bug#694632: Bug#684039: ITP: prime-phylo -- Bayesian estimation of gene trees taking the species tree into account
Date: Tue, 18 Dec 2012 17:17:03 +0100
On Tue, Dec 18, 2012 at 4:53 PM, Andreas Tille <andreas@an3as.eu> wrote:
> Thanks and uploaded.

Thanks a lot.

>
> BTW, in the Debian Med team we did not formalised the sponsering process
> via filing RFS bugs (for no specific reason - it just worked without
> this.)

Good to know.

> PS: Please let us know whether you are subscribed to the list - I would
>     stop CCing you in this case (and you can definitely remove me from CCs
>     and rather use list-reply.)

I am now subscribed to debian-med@lists.debian.org

cheers,
Erik



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 19:06:04 GMT) Full text and rfc822 format available.

Reply sent to Erik Sjolund <erik.sjolund@gmail.com>:
You have taken responsibility. (Sat, 16 Feb 2013 15:03:08 GMT) Full text and rfc822 format available.

Notification sent to Erik Sjölund <erik.sjolund@gmail.com>:
Bug acknowledged by developer. (Sat, 16 Feb 2013 15:03:08 GMT) Full text and rfc822 format available.

Message #94 received at 684039-close@bugs.debian.org (full text, mbox):

From: Erik Sjolund <erik.sjolund@gmail.com>
To: 684039-close@bugs.debian.org
Subject: Bug#684039: fixed in prime-phylo 1.0.11-1
Date: Sat, 16 Feb 2013 15:00:09 +0000
Source: prime-phylo
Source-Version: 1.0.11-1

We believe that the bug you reported is fixed in the latest version of
prime-phylo, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 684039@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Erik Sjolund <erik.sjolund@gmail.com> (supplier of updated prime-phylo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 17 Dec 2012 14:11:13 +0100
Source: prime-phylo
Binary: prime-phylo
Architecture: source amd64
Version: 1.0.11-1
Distribution: unstable
Urgency: low
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Changed-By: Erik Sjolund <erik.sjolund@gmail.com>
Description: 
 prime-phylo - bayesian estimation of gene trees taking the species tree into ac
Closes: 684039
Changes: 
 prime-phylo (1.0.11-1) unstable; urgency=low
 .
   * Initial release (Closes: #684039)
Checksums-Sha1: 
 411ee5874ddc44ceb55134402d58621c9e3035dc 1351 prime-phylo_1.0.11-1.dsc
 1dd3b086599e29f6a17319f8ebe294cd6eed0c07 750651 prime-phylo_1.0.11.orig.tar.gz
 4d63a8e13a57961a8ccc3fe39d34e2c1f010505a 5029 prime-phylo_1.0.11-1.debian.tar.gz
 d4636bba1fafea3c2b0cb861e6ec316252ac15a7 1203972 prime-phylo_1.0.11-1_amd64.deb
Checksums-Sha256: 
 e75bee1c1a0f68cd54ba6f393c131c71c87b62dd34d8b29f16dbad50d3526b30 1351 prime-phylo_1.0.11-1.dsc
 5d46b4e528417bb4a0be56756069f255f86ab58b28b55fa6a96983f10585bd8d 750651 prime-phylo_1.0.11.orig.tar.gz
 2e7597189e9a78cdc21786ff5ca03faeefffe3246fa14cae448d46a49c6e416c 5029 prime-phylo_1.0.11-1.debian.tar.gz
 4ca41dc4145e8c9837d7bf958343088b43aaa5d5f4d13b6becb26c4e41ddb36f 1203972 prime-phylo_1.0.11-1_amd64.deb
Files: 
 096ae0e6db7c7835b65db07300fb50a8 1351 science optional prime-phylo_1.0.11-1.dsc
 0356071434de01edf92a1b9182ed6ef1 750651 science optional prime-phylo_1.0.11.orig.tar.gz
 c092c00888cf478a42590572ebefda4b 5029 science optional prime-phylo_1.0.11-1.debian.tar.gz
 5d192723fd65b4c1bf4e39b904c0a04d 1203972 science optional prime-phylo_1.0.11-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDQjosACgkQYDBbMcCf01qwrwCeObcYaocxJhRiDCPaMpYrrD2m
quMAn3G8A+jIWo3wWpp3A63jt3oZPlxO
=IXRb
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Mar 2013 07:26:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:09:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.